Update a charge split schema Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/charge-split-schema/{chargeSplitSchema_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • chargeSplitSchema_uuid string Required
application/json

Body

  • name string

    Introducer split name

  • min_percentage number(float)

    Minimum percentage of overall charge introducer can be entitled to. Required with max_percentage and default_percentage

    Minimum value is 0.0, maximum value is 100.0.

  • max_percentage number(float)

    Maximum percentage of overall charge introducer can be entitled to. Required with max_percentage and default_percentage

    Minimum value is 0.0, maximum value is 100.0.

  • default_percentage number(float)

    Default percentage of overall charge introducer can be entitled to. Must be between minimum and maximum. Required with min_percentage and max_percentage

    Minimum value is 0.0, maximum value is 100.0.

  • percentage_paid_by_firm number(float)

    Percentage of the introducer's cut of the expected amount to be paid by the firm. Required with percentage_paid_by_adviser

    Minimum value is 0.0, maximum value is 100.0.

  • percentage_paid_by_adviser number(float)

    Percentage of the introducer's cut of the expected amount to be paid by the selling adviser. Required with percentage_paid_by_firm

    Minimum value is 0.0, maximum value is 100.0.

  • can_change_transfer_fci boolean

    Whether the value for FCI contributions can be changed. Will only apply to advisers

  • default_transfer_fci boolean

    Default value to whether the introducer will be recognised for FCI contributions. Will only apply to advisers

  • can_change_initial boolean

    Whether the value for initial charges can be changed

  • default_initial boolean

    Default value to whether this charge split schema will be applied to initial charges

  • can_change_ongoing boolean

    Whether the value for ongoing charges can be changed

  • default_ongoing boolean

    Default value to whether this charge split schema will be applied to ongoing charges

  • valid_for_advisers boolean

    Whether this charge split schema can be applied for adviser accounts

  • valid_for_clients boolean

    Whether this charge split schema can be applied for client accounts

  • valid_for_introducers boolean

    Whether this charge split schema can be applied for introducer accounts

  • visible_to_advisers boolean

    Whether this charge split schema is visible to advisers to use

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • min_percentage integer
    • max_percentage integer
    • default_percentage integer
    • percentage_paid_by_firm integer
    • percentage_paid_by_adviser integer
    • can_change_transfer_fci boolean
    • default_transfer_fci boolean
    • can_change_initial boolean
    • default_initial boolean
    • can_change_ongoing boolean
    • default_ongoing boolean
    • valid_for_advisers boolean
    • valid_for_clients boolean
    • valid_for_introducers boolean
    • visible_to_advisers boolean
PUT /api/v1/charge-split-schema/{chargeSplitSchema_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/charge-split-schema/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Basic Introducer Rate","min_percentage":20.0,"max_percentage":47.5,"default_percentage":32.0,"percentage_paid_by_firm":20.0,"percentage_paid_by_adviser":20.0,"can_change_transfer_fci":true,"default_transfer_fci":true,"can_change_initial":true,"default_initial":true,"can_change_ongoing":true,"default_ongoing":true,"valid_for_advisers":true,"valid_for_clients":true,"valid_for_introducers":true,"visible_to_advisers":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Basic Introducer Rate",
  "min_percentage": 20.0,
  "max_percentage": 47.5,
  "default_percentage": 32.0,
  "percentage_paid_by_firm": 20.0,
  "percentage_paid_by_adviser": 20.0,
  "can_change_transfer_fci": true,
  "default_transfer_fci": true,
  "can_change_initial": true,
  "default_initial": true,
  "can_change_ongoing": true,
  "default_ongoing": true,
  "valid_for_advisers": true,
  "valid_for_clients": true,
  "valid_for_introducers": true,
  "visible_to_advisers": true
}
Response examples (200)
[
  {
    "uuid": "d95df0f0-052e-48d4-b4aa-ae40e91c1b64",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "Basic Introducer Rate",
    "min_percentage": 10,
    "max_percentage": 20,
    "default_percentage": 15,
    "percentage_paid_by_firm": 25,
    "percentage_paid_by_adviser": 75,
    "can_change_transfer_fci": true,
    "default_transfer_fci": true,
    "can_change_initial": true,
    "default_initial": true,
    "can_change_ongoing": true,
    "default_ongoing": true,
    "valid_for_advisers": true,
    "valid_for_clients": true,
    "valid_for_introducers": true,
    "visible_to_advisers": true
  }
]